Commit 46b189d7 authored by David Engster's avatar David Engster
Browse files

Do not call egrep to determine emacs version in EDE.

* ede/emacs.el (ede-emacs-version): Do not call 'egrep' to
determine Emacs version (it was dead code anyway).  Make sure that
configure.ac or configure.in exist.  (Bug#18476)
parent 41932b21
2014-09-18 David Engster <deng@randomsample.de>
* ede/emacs.el (ede-emacs-version): Do not call 'egrep' to
determine Emacs version (it was dead code anyway). Make sure that
configure.ac or configure.in exist. (Bug#18476)
2014-05-01 Glenn Morris <rgm@gnu.org>
* ede.el (ede-project-directories, ede-check-project-directory):
......
......@@ -80,12 +80,6 @@ Return a tuple of ( EMACSNAME . VERSION )."
(with-current-buffer buff
(erase-buffer)
(setq default-directory (file-name-as-directory dir))
(or (file-exists-p configure_ac)
(setq configure_ac "configure.in"))
;(call-process "egrep" nil buff nil "-n" "-e" "^version=" "Makefile")
(call-process "egrep" nil buff nil "-n" "-e" "AC_INIT" configure_ac)
(goto-char (point-min))
;(re-search-forward "version=\\([0-9.]+\\)")
(cond
;; Maybe XEmacs?
((file-exists-p "version.sh")
......@@ -113,7 +107,8 @@ m4_define(\\[SXEM4CS_BETA_VERSION\\], \\[\\([0-9]+\\)\\])")
;; Insert other Emacs here...
;; Vaguely recent version of GNU Emacs?
(t
((or (file-exists-p configure_ac)
(file-exists-p (setq configure_ac "configure.in")))
(insert-file-contents configure_ac)
(goto-char (point-min))
(re-search-forward "AC_INIT(\\(?:GNU \\)?[eE]macs,\\s-*\\([0-9.]+\\)\\s-*[,)]")
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment